package com.pqs9900.pojo.linedata;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;

import javax.persistence.Column;

/**
 * system
 * 监测点评分execl实体类
 * @author cdf
 * @date 2021/10/27
 */

public class MarkWeightExcel {


    @ExcelProperty(value = "序号",index = 0 )
    private String index;
    @ExcelProperty(value = "省份",index = 1 )
    private String province;
    @ExcelProperty(value = "供电公司",index = 2)
    private String gdName;
    @ExcelProperty(value = "所属变电站",index = 3)
    private String subName;
    @ExcelProperty(value = "装置名称",index = 4)
    private String devName;
    @ExcelProperty(value = "监测点名称",index = 5)
    private String lineName;



    @ExcelIgnore
    private Integer lineIndex;
    @ExcelIgnore
    private Integer devIndex;

    @ExcelProperty(value = "通信费用",index = 6)
    private Integer communFeeMark;

    @ExcelProperty(value = "资产归属",index = 7)
    private Integer assetBelong;

    @ExcelProperty(value = "服务条款",index = 8)
    private Integer serviceMark;


    @ExcelProperty(value = "中间户数据需求",index = 9)
    private Integer agentMark;

    @ExcelProperty(value = "公司数据需求",index = 10)
    private Integer companyMark;

    @ExcelProperty(value = "用户数据需求",index = 11)
    private Integer userMark;

    @ExcelProperty(value = "监测点类型",index = 12)
    private Integer lineTypeMark;

    @ExcelProperty(value = "行业重要度",index = 13)
    private Integer businessMark;




    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getGdName() {
        return gdName;
    }

    public void setGdName(String gdName) {
        this.gdName = gdName;
    }

    public String getSubName() {
        return subName;
    }

    public void setSubName(String subName) {
        this.subName = subName;
    }

    public String getDevName() {
        return devName;
    }

    public void setDevName(String devName) {
        this.devName = devName;
    }

    public String getLineName() {
        return lineName;
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }


    public String getIndex() {
        return index;
    }

    public void setIndex(String index) {
        this.index = index;
    }

    public Integer getCommunFeeMark() {
        return communFeeMark;
    }

    public void setCommunFeeMark(Integer communFeeMark) {
        this.communFeeMark = communFeeMark;
    }

    public Integer getServiceMark() {
        return serviceMark;
    }

    public void setServiceMark(Integer serviceMark) {
        this.serviceMark = serviceMark;
    }

    public Integer getAgentMark() {
        return agentMark;
    }

    public void setAgentMark(Integer agentMark) {
        this.agentMark = agentMark;
    }

    public Integer getCompanyMark() {
        return companyMark;
    }

    public void setCompanyMark(Integer companyMark) {
        this.companyMark = companyMark;
    }

    public Integer getUserMark() {
        return userMark;
    }

    public void setUserMark(Integer userMark) {
        this.userMark = userMark;
    }

    public Integer getLineTypeMark() {
        return lineTypeMark;
    }

    public void setLineTypeMark(Integer lineTypeMark) {
        this.lineTypeMark = lineTypeMark;
    }

    public Integer getBusinessMark() {
        return businessMark;
    }

    public void setBusinessMark(Integer businessMark) {
        this.businessMark = businessMark;
    }

    public Integer getLineIndex() {
        return lineIndex;
    }

    public void setLineIndex(Integer lineIndex) {
        this.lineIndex = lineIndex;
    }

    public Integer getDevIndex() {
        return devIndex;
    }

    public void setDevIndex(Integer devIndex) {
        this.devIndex = devIndex;
    }

    public Integer getAssetBelong() {
        return assetBelong;
    }

    public void setAssetBelong(Integer assetBelong) {
        this.assetBelong = assetBelong;
    }
}
